# -*- coding: utf-8 -*-
# Python 3

"""
Dieses kleine Skript führt die Datei, welche nur normale Fragen enthält und die Datei, welche nur rhetorische Fragen enthält zusammen,
sodass wir alle Fragen des Switchboard Korpus in einer Datei haben - egal ob sie rhetorisch sind oder nicht.
"""

def mergeQuestions(qFile, rqFile):
    
    filenames = [qFile, rqFile]
    with open('allQuestionsContext.txt', 'w') as outfile:
        for fname in filenames:
            with open(fname) as infile:
                for line in infile:
                    outfile.write(line)
    
if __name__ == "__main__":
    mergeQuestions("questionsContext.txt", "rhetoricalQuestionsContext.txt")
